Subject: Re: r8169 link up but no traffic, and watchdog error

From: Martin Kjær Jørgensen <[email-masked]>
Date: Thu, 24 Aug 2023 10:01:13 +0200

On Thu, Aug 24 2023, Heiner Kallweit <[email-masked]> wrote:

> On 18.08.2023 13:49, Martin Kjær Jørgensen wrote:
>>
>> On Wed, Aug 09 2023, Jakub Kicinski <[email-masked]> wrote:
>>
>>>
>>> There were some fix in r8169 for power management changes recently.
>>> Could you try the latest stable kernel? 6.4.9 ?
>>>
>>
>> I have just upgraded to latest Debian testing kernel (6.4.0-3-amd64 #1 SMP
>> PREEMPT_DYNAMIC Debian 6.4.11-1) but it doesn't seem to make much
>> difference. I can trigger the same issue again, and get similar kernel error
>> as before:
>>

> From the line above it's not clear which kernel version is used. Best test with a
> self-compiled mainline kernel.
>

It should be based on 6.4.11 , but I can try with a self-compiled version too.

>
> Please test also with the different ASPM L1 states disabled, you can use the sysfs
> attributes under /sys/class/net/enp3s0/device/link/ for this.
>

I will try that.

> Best bisect between last known good kernel and latest 6.4 version.
>

I do not know of any working version. My machine/system have had this behavior
ever since I've got it. At least for 9 months ...